import axios from "axios";

onmessage = (e) => {
    const { messages, ai_model, model_type, access_token, api_key } = e.data


    const Message = {
        messages: messages,
        ai_model: ai_model,
        model_type: model_type,
        access_token: access_token,
        api_key: api_key
    }

    console.log(Message);


    axios.post("http://localhost:5000/interstellar_ai/api/ai_send", Message)
        .then(response => {
            const status = response.data.status
            console.log(status);
            postMessage({ status })
            console.log('message posted');

        })
        .catch(error => {
            console.log("Error calling API:", error)
            postMessage({ status: 500 })
        })
}